variables:
  CONTAINER_IMAGE: registry.gitlab.com/$CI_PROJECT_PATH

stages:
  - build

build:
  stage: build
  image: docker:stable
  services:
    - docker:dind
  script:
    - echo $CI_PROJECT_PATH
    - echo $CONTAINER_IMAGE
    - echo $CI_BUILD_REF
    - docker image build -t $CONTAINER_IMAGE:$CI_BUILD_REF -t $CONTAINER_IMAGE:latest .
    - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN registry.gitlab.com
    - docker image push $CONTAINER_IMAGE:latest
    - docker image push $CONTAINER_IMAGE:$CI_BUILD_REF
  only:
  - main